\name{hugene10sthsrefseqMAPCOUNTS} 

\alias{hugene10sthsrefseqMAPCOUNTS}


\title{Number of mapped keys for the maps in package hugene10sthsrefseq.db}

\description{
  hugene10sthsrefseqMAPCOUNTS provides the "map count" (i.e. the
  count of mapped keys) for each map in package hugene10sthsrefseq.db.
}

\details{  
  This "map count" information is precalculated and stored in the
  package annotation DB. This allows some quality control and is used by
  the \code{\link[AnnotationDbi:AnnDbPkg-checker]{checkMAPCOUNTS}}
  function defined in AnnotationDbi to compare and validate different
  methods (like \code{count.mappedkeys(x)} or
  \code{sum(!is.na(as.list(x)))}) for getting the "map count" of a given
  map.
}

\seealso{
  \code{\link[AnnotationDbi:Bimap-keys]{mappedkeys}},
  \code{\link[AnnotationDbi:Bimap-keys]{count.mappedkeys}},
  \code{\link[AnnotationDbi:AnnDbPkg-checker]{checkMAPCOUNTS}}
}

\examples{
  hugene10sthsrefseqMAPCOUNTS
  mapnames <- names(hugene10sthsrefseqMAPCOUNTS)
  hugene10sthsrefseqMAPCOUNTS[mapnames[1]]
  x <- get(mapnames[1])
  sum(!is.na(as.list(x)))
  count.mappedkeys(x)   # much faster!

  ## Check the "map count" of all the maps in package hugene10sthsrefseq.db
  checkMAPCOUNTS("hugene10sthsrefseq.db")
}

\keyword{datasets}

